/*!
 * Copyright 2012 E.J.I.E., S.A.
 *
 * Licencia con arreglo a la EUPL, Versión 1.1 exclusivamente (la «Licencia»);
 * Solo podrá usarse esta obra si se respeta la Licencia.
 * Puede obtenerse una copia de la Licencia en
 *
 *      http://ec.europa.eu/idabc/eupl.html
 *
 * Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
 * el programa distribuido con arreglo a la Licencia se distribuye «TAL CUAL»,
 * SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
 * Véase la Licencia en el idioma concreto que rige los permisos y limitaciones
 * que establece la Licencia.
 */

jQuery(document).ready(function(){
	
	$(document).ajaxError(function(event, jqXHR, ajaxSettings, thrownError) {
		
		if (jqXHR.status === 401 || jqXHR.status === 403 ){
				window.location.href=$.rup.CTX_PATH + jqXHR.getResponseHeader("LOCATION");
			} 
		});
	
	//logo
	$("#rup_dept_logo").attr("src", $.rup.APP_STATICS + "/images/logo_GV.gif");
	
	/*
	//rastro de migas
	$("#aa20bMaqPartesWar_migas").rup_breadCrumb({
		initUrl:"inicio",
		breadCrumb: {
			"partes":{
				"i18nCaption" :"partes",
	            "url":"partes/maint",	             
	            "editar":{"i18nCaption" :"editarParte"},
	            "nuevo":{"i18nCaption" :"nuevoParte"},
	            "consulta":{"i18nCaption" :"consultaParte"},
	            "maint":{"i18nCaption" :"Partes"}
	        }, 
	        "edificios":{
	            "i18nCaption" :"edificios",
	            "url":"edificios/maint",	             
	            "maint":{"i18nCaption" :"edificios"}	             
	        },
	        "espacio":{
	              "i18nCaption" :"espacios"
	        }
		}
		//,logOutUrl:"/aa20bMaqPartesWar/logout"
		
	});
	*/
	
	//idioma
	$("#aa20bMaqPartesWar_language").rup_language({languages: $.rup.AVAILABLE_LANGS_ARRAY, modo: "portal"});
	
	$("#aa20bMaqPartesWar_language").append(($("<span>").addClass("rup-breadCrumbs_span2").text(LOGGED_USER )));
	

	
	//menu
	$("#aa20bMaqPartesWar_menu").rup_menu({
		display: ($.rup.LAYOUT === "vertical" ? 'vertical' : 'horizontal')
	});
	if ($.rup.LAYOUT === "mixto") {
		$("#aa20bMaqPartesWar_menu_mixto").rup_menu({
			display: 'vertical'
		});
	}
	
	//pie
	$(".footer [title]").rup_tooltip();

	$('#aa20bMaqPartesWar_menu').unbind('mouseenter mouseleave');

});